CHAM64 Class Reference

CHAM 64-bit block cipher. More...

`#include <cham.h>`

Inheritance diagram for CHAM64:

## Classes

class | Base
| CHAM block cipher transformation functions. More...
class | Enc
| Encryption transformation. More...
class | Dec
| Decryption transformation. More...

## Public Types

typedef BlockCipherFinal< ENCRYPTION, Enc > | Encryption
| CHAM64 encryption.
typedef BlockCipherFinal< DECRYPTION, Dec > | Decryption
| CHAM64 decryption.
Public Types inherited from BlockCipherDocumentation
typedef BlockCipher | Encryption
| implements the BlockCipher interface
typedef BlockCipher | Decryption
| implements the BlockCipher interface

## Additional Inherited Members

Static Public Member Functions inherited from CHAM64_Info
static const std::string | StaticAlgorithmName ()
| The algorithm name.
Static Public Member Functions inherited from FixedKeyLength< 16 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function.
Static Public Attributes inherited from FixedBlockSize< 8 >
static const int | BLOCKSIZE
| The block size of the algorithm provided as a constant.
Static Public Attributes inherited from FixedKeyLength< 16 >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant.
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant.
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant.
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant.

## Detailed Description

CHAM 64-bit block cipher.

CHAM64 provides 64-bit block size. The valid key size is 128-bit.

Note
  Crypto++ provides a byte oriented implementation

See also
  CHAM128, CHAM, CHAM: A Family of Lightweight Block Ciphers for Resource-Constrained Devices

Since
  Crypto++ 8.0

Definition at line 67 of file cham.h.

## Member Typedef Documentation

## Encryption

typedef BlockCipherFinal<ENCRYPTION, Enc> CHAM64::Encryption

CHAM64 encryption.

Definition at line 104 of file cham.h.

## Decryption

typedef BlockCipherFinal<DECRYPTION, Dec> CHAM64::Decryption

CHAM64 decryption.

Definition at line 106 of file cham.h.

The documentation for this class was generated from the following file:

- cham.h